--- device.c.orig	2008-01-25 09:31:41.000000000 +0100
+++ device.c	2008-01-25 09:32:25.000000000 +0100
@@ -8,6 +8,7 @@
  */
 
 #include "device.h"
+#include "dvbdevice.h"
 #include <errno.h>
 #include <sys/ioctl.h>
 #include <sys/mman.h>
@@ -292,6 +293,8 @@
          // to their individual severity, where the one listed first will make the most
          // difference, because it results in the most significant bit of the result.
          uint imp = 0;
+         imp <<= 1; imp |= Priority >= 30 && device[i]->CardIndex() >= MAXDVBDEVICES;
+	 // avoid non-DVB card devices when high priority (timers)
          imp <<= 1; imp |= !device[i]->Receiving() || ndr;                         // use receiving devices if we don't need to detach existing receivers
          imp <<= 1; imp |= device[i]->Receiving();                                 // avoid devices that are receiving
          imp <<= 1; imp |= device[i] == cTransferControl::ReceiverDevice();        // avoid the Transfer Mode receiver device
